curl -X DELETE https://api.intellibase.dev/api/v1/projects/proj-abc123 \
-H "Authorization: Bearer ib-your-api-key"
import requests
project_id = "proj-abc123"
response = requests.delete(
f"https://api.intellibase.dev/api/v1/projects/{project_id}",
headers={"Authorization": "Bearer ib-your-api-key"}
)
if response.status_code == 204:
print("Project successfully deleted")
else:
print(f"Error: {response.json()['detail']}")
const projectId = "proj-abc123";
const response = await fetch(
`https://api.intellibase.dev/api/v1/projects/${projectId}`,
{
method: "DELETE",
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
if (response.status === 204) {
console.log("Project successfully deleted");
} else {
const error = await response.json();
console.error(`Error: ${error.detail}`);
}
(Empty response body)
{
"detail": "Project proj-invalid not found"
}
{
"detail": "You don't have access to this project"
}
{
"detail": "Failed to delete vector data: connection timeout"
}
Projects
Delete Project
Permanently delete a project and all its data
DELETE
/
api
/
v1
/
projects
/
{project_id}
curl -X DELETE https://api.intellibase.dev/api/v1/projects/proj-abc123 \
-H "Authorization: Bearer ib-your-api-key"
import requests
project_id = "proj-abc123"
response = requests.delete(
f"https://api.intellibase.dev/api/v1/projects/{project_id}",
headers={"Authorization": "Bearer ib-your-api-key"}
)
if response.status_code == 204:
print("Project successfully deleted")
else:
print(f"Error: {response.json()['detail']}")
const projectId = "proj-abc123";
const response = await fetch(
`https://api.intellibase.dev/api/v1/projects/${projectId}`,
{
method: "DELETE",
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
if (response.status === 204) {
console.log("Project successfully deleted");
} else {
const error = await response.json();
console.error(`Error: ${error.detail}`);
}
(Empty response body)
{
"detail": "Project proj-invalid not found"
}
{
"detail": "You don't have access to this project"
}
{
"detail": "Failed to delete vector data: connection timeout"
}
Endpoint
DELETE https://api.intellibase.dev/api/v1/projects/{project_id}
Path Parameters
string
required
The unique identifier of the project to delete
Authentication
Requires a valid API key with access to the project.Response
Returns204 No Content on success (empty response body).
curl -X DELETE https://api.intellibase.dev/api/v1/projects/proj-abc123 \
-H "Authorization: Bearer ib-your-api-key"
import requests
project_id = "proj-abc123"
response = requests.delete(
f"https://api.intellibase.dev/api/v1/projects/{project_id}",
headers={"Authorization": "Bearer ib-your-api-key"}
)
if response.status_code == 204:
print("Project successfully deleted")
else:
print(f"Error: {response.json()['detail']}")
const projectId = "proj-abc123";
const response = await fetch(
`https://api.intellibase.dev/api/v1/projects/${projectId}`,
{
method: "DELETE",
headers: {
"Authorization": "Bearer ib-your-api-key"
}
}
);
if (response.status === 204) {
console.log("Project successfully deleted");
} else {
const error = await response.json();
console.error(`Error: ${error.detail}`);
}
(Empty response body)
{
"detail": "Project proj-invalid not found"
}
{
"detail": "You don't have access to this project"
}
{
"detail": "Failed to delete vector data: connection timeout"
}
This action is irreversible! Deleting a project permanently removes:
- All ingested data (nodes, edges, chunks)
- All vector embeddings
- All metadata and provenance
- All ingestion jobs history
The project itself is deleted, but the ontology used by the project is preserved. You can reuse it for new projects.
⌘I